Skip to main content
PATCH
/
brands
Update a brand's aliases
curl --request PATCH \
  --url https://openlens.com/api/brands \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "aliases": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "isOwn": true,
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "url": "<string>",
  "aliases": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.openlens.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Clerk API key. Create one from your account settings under API Keys.

Body

application/json
id
string<uuid>
required
aliases
string[]
required

Response

Successful response

id
string<uuid>
required
name
string
required
isOwn
boolean
required
userId
string<uuid>
projectId
string<uuid> | null
description
string | null
url
string | null
aliases
string[]
createdAt
string<date-time>